body {
  font-family: var(--font-family);
  background-color: #f9f9f9;
  margin: 0;
  padding: 0;
  color: #333;
}

.blog-container{
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 48px;
}

.blog-badge{
  background: rgba(59, 130, 246, 0.1);
  color: #3b82f6;
  padding: 0.3rem 0.7rem;
  border-radius: 2rem;
  font-size: 14px;
  font-weight: 500;
  text-transform: uppercase;
  position: relative;
  z-index: 25;    
}

.blog-content p {
  margin: 0 0 16px 0; /* bottom spacing only */
}

.blog-category{
  text-transform: capitalize;
}

.blog-title{
  font-size: 3rem;
  font-weight: 700;
  color: var(--text-color);
  letter-spacing: -1.5px;
  text-align: center;
  max-width: 900px;
  line-height: 1.2;
  position: relative;
  z-index: 1;
  margin: 6px 0 14px 0;
}

.blog-meta{
  color: #777;
}

.blog-img-text{
  margin-top: 60px;
  display: flex;
  align-items: center;
  flex-direction: column;
  row-gap: 32px;
  width: 80%;
}

.blog-img{
  width: 100%;
  max-height: 600px;
  height: auto;
  border-radius: 24px;
  overflow: hidden;
}

.blog-img>img{
  width: 100%;
  height: 100%;
}

.blog-content{
  font-size: 18px;
  line-height: 1.4;
  letter-spacing: -0.4px;
  text-align: justify;
  color: #484D67;
  padding-inline: 0;   
}
.blog-content img{
  width: 100%;
  height: auto;
  max-height: 520px;
  border-radius: 24px;
}


/* css for social icons starts here */

 .social-share {
    margin-top: 30px;
    text-align: center;
  }
  .social-share h4 {
    margin-bottom: 10px;
    font-size: 18px;
    font-weight: 600;
  }
  .share-btn {
    display: inline-block;
    margin: 5px;
    font-size: 20px;
    color: white;
    width: 40px;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border-radius: 50%;
    transition: opacity 0.2s ease-in-out;
  }
  .whatsapp { background: #25D366; }
  .linkedin { background: #0077b5; }
  .twitter { background: #1da1f2; }
  .facebook { background: #4267B2; }
  .share-btn:hover { opacity: 0.8; }


@media (max-width: 768px) {
  .blog-title{
    font-size: 2.5rem;
  }
  .blog-img-text{
    margin-top: 40px;
    width: 100%;
  }
}
@media (max-width: 480px) {
  .blog-container {
    padding-top: 72px;
  }
  .blog-title{
    font-size: 2rem;
  }
  .blog-img-text {
    margin-top: 28px;
  }
  .blog-content{
    padding-inline: 16px;
    font-size: 16px;
  }
}